.bp
.he 'XPAINT (xwin)'TROPIX: Manual de Referncia'XPAINT (xwin)'
.fo 'Escrito em 17.04.03'Verso 4.4.0'Pag. %'

.b NOME
.in 5
xpaint - exibe imagens em uma janela X-Window.

.in
.sp
.b SINTAXE
.in 5
xpaint [opes] <arquivo> ...

.in
.sp
.b DESCRIO
.in 5
O cliente "xpaint" permite visualizar, em uma janela, imagens nos seguintes
formatos: GIF, JPEG, BMP e XPM (um formato prprio do X-Window).
.sp

Os <arquivo>s especificados podem ser regulares ou diretrios.
No primeiro caso, devem conter as imagens a serem visualizadas.
Sempre que um diretrio  dado, a subrvore por ele enraizada 
percorrida  procura de arquivos que contenham imagens.
.sp

Se o nome de um arquivo possuir a extenso correspondente ao formato
(".gif", "jpg", ".bmp" ou ".xpm"), o "xpaint" assumir que a imagem
contida no arquivo possui o formato especificado; caso contrrio, tentar
descobrir o formato, analisando o arquivo.
.sp

H tambm a possibilidade de mostrar a seqncia em "slideshow",
especificando o intervalo de tempo entre exibies consecutivas.
.sp

.in 5
As opes disponveis so as seguintes:
.in 8

.ip "-d <display>" 20
especifica o servidor X a contactar. Por omisso, assume-se o servidor local.

.ip "-f <fator>" 20
especifica o fator de escala a utilizar. Valores para ampliao:
"2", "3", ..., "8". Valores para reduo: "1/2", "1/3", "1/4", ..., "1/8".

.ip "-N" 20
os <arquivo>s, em vez de mencionados como argumentos do programa,
so lidos da entrada padro.

.ip "-R" 20
dentre os arquivos encontrados, seleciona um aleatoriamente e
usa a imagem nele contida como fundo da janela-me (RootWindow).

.ip "-s <tempo>" 20
especifica o intervalo de <tempo> segundos entre exibies consecutivas.

.ip "-v" 20
imprime, na janela de texto onde o "xpaint" foi invocado, informaes sobre
as imagens sendo mostradas.
.ep
.sp
.sp

.in
.b
NAVEGAO
.r
.in 5
Sempre que vrios arquivos contendo imagens forem encontrados,
o usurio ter a opo de navegar pela seqncia de imagens,
utilizando as setas e algumas teclas especiais:

.in 8
.ip "Seta para cima" 20
retrocede  imagem anterior

.ip "Seta para baixo" 20
passa  imagem seguinte

.ip "Seta para esquerda" 20
reduz o fator de escala, na seqncia "1", "1/2", "1/3", ..., "1/8",
diminuindo a imagem corrente

.ip "Seta para direita" 20
aumenta em uma unidade o fator de escala, ampliando a imagem corrente

.ip "Home" 20
volta  primeira imagem

.ip "End" 20
passa  ltima imagem

.ip "Esc" 20
encerra a navegao
.ep
.sp

.in
.b
OBSERVAES
.r
.in 5
A alterao do fator de escala durante a exibio de uma imagem 
preservada em exibies subseqentes da mesma imagem.
.sp

Imagens no formato XPM so imunes a fatores de escala, s podendo
ser exibidas em tamanho natural.
.sp

Se o intervalo de tempo entre imagens for especificado (veja opo "-s"),
ainda assim o usurio poder utilizar as teclas de navegao. A nica
diferena  que, expirado o tempo mencionado, a transio para a imagem
seguinte far-se- automaticamente.
.sp

.in
.b
VEJA TAMBM
.r
.in 5
.wo "(xwin): "
X, fvwm
.br

.in
.sp
.b ESTADO
.in 5
Efetivo.
