/*
 ****************************************************************
 *								*
 *			statetostr.c				*
 *								*
 *	Devolve o nome de um estado				*
 *								*
 *	Verso	1.0.0, de 29.05.97				*
 *		1.0.1, de 28.03.98				*
 *								*
 *	Mdulo: xc/lib/aux					*
 *		X Windows - Bibliotecas				*
 *		Baseado no software homnimo do XFree86		*
 *								*
 *	TROPIX: Sistema Operacional Tempo-Real Multiprocessado	*
 *		Copyright (c) 1998 TROPIX Technologies Ltd.	*
 * 								*
 ****************************************************************
 */

#include <xti.h>

static char	*stname[] =
{
	"T_UNINIT",	/* No inicializado */
	"T_UNBND",	/* "unbound" */
	"T_IDLE",	/* Inerte */
	"T_OUTCON",	/* Enviando pedido de conexo */
	"T_INCON",	/* Recebendo pedido de conexo */
	"T_DATAXFER",	/* Transferindo dados */
	"T_OUTREL",	/* Enviando pedido de desconexo */
	"T_INREL"	/* Recebendo pedido de desconexo */
};

char *
statetostr (T_STATE state)
{
	if (state < T_UNINIT || state > T_INREL)
		return ("ESTADO INVLIDO");

	return (stname[state]);

}	/* end statetostr */
