/*
 ****************************************************************
 *								*
 *		hw/os-support/tropix/time.c			*
 *								*
 *	Suspende a execuo por um tempo em micro-segundos	*
 *								*
 *	Verso	1.0.0, de 04.03.97				*
 *		4.2.0, de 28.09.01				*
 *								*
 *	Mdulo: xc/lib/aux					*
 *		X Windows - Bibliotecas				*
 *		Baseado no software homnimo do XFree86		*
 *								*
 *	TROPIX: Sistema Operacional Tempo-Real Multiprocessado	*
 *		Copyright  2001 NCE/UFRJ - tecle "man licena"	*
 * 								*
 ****************************************************************
 */

#include "Xos.h"

/*
 ****************************************************************
 *	Suspende a execuo do processo				*
 ****************************************************************
 */
void
xf86usleep (int delay)
{
	usleep (delay);

}	/* end xf86usleep */

/*
 ****************************************************************
 *	Obtm o tempo corrente					*
 ****************************************************************
 */
void
xf86getsecs(long * secs, long * usecs)
{
	struct timeval tv;

	gettimeofday(&tv, NULL);
	*secs = tv.tv_sec;
	*usecs= tv.tv_usec;

	return;
}
